export const formatBreadcrumb = (pluginConfig, collection, docs)=>{
    let url = undefined;
    let label;
    const lastDoc = docs[docs.length - 1];
    if (typeof pluginConfig?.generateURL === 'function') {
        url = pluginConfig.generateURL(docs, lastDoc);
    }
    if (typeof pluginConfig?.generateLabel === 'function') {
        label = pluginConfig.generateLabel(docs, lastDoc);
    } else {
        const title = collection.admin?.useAsTitle ? lastDoc[collection.admin.useAsTitle] : '';
        label = typeof title === 'string' || typeof title === 'number' ? String(title) : '';
    }
    return {
        doc: lastDoc.id,
        label,
        url
    };
};

//# sourceMappingURL=formatBreadcrumb.js.map